# BaobaotangProbe


FTP主目录 /tmp/ftp

mkdir -p /tmp/ftp
chmod 777 /tmp/ftp

MIAOZHEN Log Reporter process

## 依赖

Maven repository settings.xml 添加自定义镜像

```xml
  <mirrors>
    <mirror>
      <id>nexus-releases</id>
      <mirrorOf>*</mirrorOf>
      <name>Pythagoras's Mirror.</name>
      <url>http://101.200.158.23/nexus/content/groups/public/</url>
    </mirror>
    <mirror>
      <id>nexus-thirdparth</id>
      <mirrorOf>*</mirrorOf>
      <name>Pythagoras's Mirror.</name>
      <url>http://101.200.158.23/nexus/content/repositories/thirdparty/</url>
    </mirror>
    <mirror>
      <id>nexus-snapshots</id>
      <mirrorOf>*</mirrorOf>
      <name>Pythagoras's Mirror.</name>
      <url>http://101.200.158.23/nexus/content/repositories/snapshots/</url>
    </mirror>
  </mirrors>
```

## 日志抓取及上报

```
com.miaozhen.task.job.ServerLogJob
```

## 备注说明

为了便于调试，可使用下列本地文件模拟接口，对象 `CinemaInfo` 和 `List<PlaybackStatus>` 数据本地测试可以参见 `FileUtil` 中的 `main` 方法

- test.data.CinemaInfo
- test.data.PlaybackStatus


## 秒针获取日志规则:
- 1、每天6点钟之后可以获取昨天的日志；
- 2、监测从昨天开始最近7天的数据，如果有没上报的数据进行上报；
- 3、获取日志是每天6点到第二天6点的日志


wget http://axis-config.oss-cn-beijing.aliyuncs.com/MiaozhenProbe/MiaozhenProbe.jar
service MiaozhenProbeService restart



