#!/usr/bin/env bash

PACKAGE_PATH="/home/Miaozhen"
PACKAGE_NAME="MiaozhenProbe"
SERVICE_NAME="MiaozhenProbeService"

pushd ${PACKAGE_PATH}

# stop service
service ${SERVICE_NAME} stop
echo "Stop service ... successed!"

# stop auto startup
chkconfig ${SERVICE_NAME} off
chkconfig --del ${SERVICE_NAME}
echo "Unregister from auto start ... successed!"


# remove files
rm -f /etc/init.d/${SERVICE_NAME}
echo "Unregister from system service ... successed!"
rm -f ./${PACKAGE_NAME}.jar
echo "Delete source files ... successed!"

echo "Done!"

popd