package com.miaozhen.device.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class CPLInfo implements Serializable,Comparable<CPLInfo> {

    private static final long serialVersionUID = -8007244355380214335L;

    private String UUID;

    private String stereoscopic;

    private String contentTitleText;

    private String attribute;

    private String contentKind;

    private String issueDate;

    private String duration;

    private String attachedTitle;

    private String skipCplAd;
    
    private String endPoint;

    private Integer macroID;

    private String macroCaption;

    private String volume;

    private String movie_id;

    private String fileName;

    private Date uploadTime;

    private boolean isRequiredKdm;

    private boolean isUsedBySPL;

    private double cplSize;

    private List<Integer> noExitNumber;

    private List<CPLServer> cplServer;

    private List<CPLLocation> cplLocation;

    private String operation;

    private List<Cue> cueInfo;

    private String order;

    private boolean isPlaying;

    private boolean flag = true;  //true 影片完整；false 影片不完整    默认完整

    private Integer cplPostion;

    private Integer status;

    private String cplTemplateTitle;

    private String filmAttribute;


    private String isFilmTemplate;//是影片内容包还是无影片内容包

    private String filmTemplateUuid; //影片模板uuid

    private String filmTemplateName; //影片模板名称

    private String eggTime;//彩蛋时间

    private List<CPLInfo> filmTemplateCpls ;//影片模板cpls

    public List<Integer> getNoExitNumber() {
        return noExitNumber;
    }

    public void setNoExitNumber(List<Integer> noExitNumber) {
        this.noExitNumber = noExitNumber;
    }

    public List<CPLServer> getCplServer() {
        return cplServer;
    }

    public void setCplServer(List<CPLServer> cplServer) {
        this.cplServer = cplServer;
    }

    public List<CPLLocation> getCplLocation() {
        return cplLocation;
    }

    public void setCplLocation(List<CPLLocation> cplLocation) {
        this.cplLocation = cplLocation;
    }

    public String kdmStatus;

    public CPLInfo() {
    }

    public String getSkipCplAd() {
		return skipCplAd;
	}

	public void setSkipCplAd(String skipCplAd) {
		this.skipCplAd = skipCplAd;
	}

	/**
     * @return the UUID
     */
    public String getUUID() {
        return UUID;
    }

    /**
     * @param UUID
     * the UUID to set
     */
    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

    /**
     * @return the stereoscopic
     */
    public String getStereoscopic() {
        return stereoscopic;
    }

    /**
     * @param stereoscopic
     * the stereoscopic to set
     */
    public void setStereoscopic(String stereoscopic) {
        this.stereoscopic = stereoscopic;
    }

    /**
     * @return the contentTitleText
     */
    public String getContentTitleText() {
        return contentTitleText;
    }

    /**
     * @param contentTitleText
     * the contentTitleText to set
     */
    public void setContentTitleText(String contentTitleText) {
        this.contentTitleText = contentTitleText;
    }

    /**
     * @return the contentKind
     */
    public String getContentKind() {
        return contentKind;
    }

    /**
     * @param contentKind
     * the contentKind to set
     */
    public void setContentKind(String contentKind) {
        this.contentKind = contentKind;
    }

    /**
     * @return the issueDate
     */
    public String getIssueDate() {
        return issueDate;
    }

    /**
     * @param issueDate
     * the issueDate to set
     */
    public void setIssueDate(String issueDate) {
        this.issueDate = issueDate;
    }

    /**
     * @return the duration
     */
    public String getDuration() {
        return duration;
    }

    /**
     * @param duration
     * the duration to set
     */
    public void setDuration(String duration) {
        this.duration = duration;
    }

    /**
     * @return the attachedTitle
     */
    public String getAttachedTitle() {
        return attachedTitle;
    }

    /**
     * @param attachedTitle
     * the attachedTitle to set
     */
    public void setAttachedTitle(String attachedTitle) {
        this.attachedTitle = attachedTitle;
    }

    /**
     * @return the endPoint
     */
    public String getEndPoint() {
        return endPoint;
    }

    /**
     * @param endPoint
     * the endPoint to set
     */
    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }

    /**
     * @return the macro
     */
    public Integer getMacroID() {
        return macroID;
    }

    /**
     * @param macro
     * the macro to set
     */
    public void setMacroID(Integer macro) {
        this.macroID = macro;
    }

    public String getVolume() {
        return volume;
    }

    public void setVolume(String volume) {
        this.volume = volume;
    }

    /**
     * @return the movie_id
     */
    public String getMovie_id() {
        return movie_id;
    }

    /**
     * @param movie_id
     * the movie_id to set
     */
    public void setMovie_id(String movie_id) {
        this.movie_id = movie_id;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public List<Cue> getCueInfo() {
        return cueInfo;
    }

    public void setCueInfo(List<Cue> cueInfo) {
        this.cueInfo = cueInfo;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAttribute() {
        return attribute;
    }

    public void setAttribute(String attribute) {
        this.attribute = attribute;
    }

    public boolean isPlaying() {
        return isPlaying;
    }

    public void setPlaying(boolean isPlaying) {
        this.isPlaying = isPlaying;
    }

    public Integer getCplPostion() {
        return cplPostion;
    }

    public void setCplPostion(Integer cplPostion) {
        this.cplPostion = cplPostion;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public boolean isRequiredKdm() {
        return isRequiredKdm;
    }

    public void setRequiredKdm(boolean isRequiredKdm) {
        this.isRequiredKdm = isRequiredKdm;
    }

    public boolean isUsedBySPL() {
        return isUsedBySPL;
    }

    public void setUsedBySPL(boolean isUsedBySPL) {
        this.isUsedBySPL = isUsedBySPL;
    }

    public double getCplSize() {
        return cplSize;
    }

    public void setCplSize(double cplSize) {
        this.cplSize = cplSize;
    }

    public String getMacroCaption() {
        return macroCaption;
    }

    public void setMacroCaption(String macroCaption) {
        this.macroCaption = macroCaption;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public String getCplTemplateTitle() {
        return cplTemplateTitle;
    }

    public void setCplTemplateTitle(String cplTemplateTitle) {
        this.cplTemplateTitle = cplTemplateTitle;
    }

    public String getIsFilmTemplate() {
        return isFilmTemplate;
    }

    public void setIsFilmTemplate(String isFilmTemplate) {
        this.isFilmTemplate = isFilmTemplate;
    }

    public String getFilmAttribute() {
        return filmAttribute;
    }

    public void setFilmAttribute(String filmAttribute) {
        this.filmAttribute = filmAttribute;
    }

    public String getFilmTemplateUuid() {
        return filmTemplateUuid;
    }

    public void setFilmTemplateUuid(String filmTemplateUuid) {
        this.filmTemplateUuid = filmTemplateUuid;
    }

    public String getFilmTemplateName() {
        return filmTemplateName;
    }

    public void setFilmTemplateName(String filmTemplateName) {
        this.filmTemplateName = filmTemplateName;
    }

    public List<CPLInfo> getFilmTemplateCpls() {
        return filmTemplateCpls;
    }

    public void setFilmTemplateCpls(List<CPLInfo> filmTemplateCpls) {
        this.filmTemplateCpls = filmTemplateCpls;
    }

    public String getKdmStatus() {
        return kdmStatus;
    }

    public void setKdmStatus(String kdmStatus) {
        this.kdmStatus = kdmStatus;
    }

    public String getEggTime() {
        return eggTime;
    }

    public void setEggTime(String eggTime) {
        this.eggTime = eggTime;
    }

    @Override
    public int compareTo(CPLInfo c) {
      //  CPLInfo c = (CPLInfo)o;
        if(this.getUploadTime() == null && c.getUploadTime() == null){
            return 0;
        }
        if(this.getUploadTime() == null){
            return 1;
        }
        if(c.getUploadTime() == null){
            return -1;
        }
        if(this.getUploadTime().before(c.getUploadTime())){
            return 1;
        }
        if(this.getUploadTime().after(c.getUploadTime())){
            return -1;
        }
        return 0;
    }

}