package com.miaozhen.device.support.christienew;

import java.io.IOException;
import java.net.Socket;

import com.miaozhen.device.support.christienew.test.ParaTest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.miaozhen.device.support.christienew.systemmanagerment.*;

public class SystemManagementChrisNew {
	private String error = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"ERROR\" version=\"2\" >\n\t<error>ERROR</error>\n</response>";

	private Socket socket = null;
	private final Logger logger = LoggerFactory.getLogger(getClass());


	public String getauditlogs(String ip, String path, String start_date,
			String start_time, String end_date, String end_time,
			String CPL_UUID, String KDM_UUID) {
		String result = this.error;
		try {
			if (socket != null && socket.isConnected()) {
				GetLogsTMSNew cmd = new GetLogsTMSNew(socket, path, start_date,
						start_time, end_date, end_time, CPL_UUID, KDM_UUID);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		return result;
	}

	public String testChannel(String ip) {
		String result = this.error;
		try {
			if (socket != null && socket.isConnected()) {
				ParaTest getSMTime = new ParaTest(socket,(short)222,"");
				getSMTime.execute();
				result = getSMTime.getResponse();
			}
		} catch (Exception e) {
			e.printStackTrace();
		}

		return result;
	}
	public Socket getSocket() {
		return socket;
	}

	public void setSocket(Socket socket) {
		this.socket = socket;
	}

}