package com.miaozhen.device.support.christienew.basecmd;

import com.miaozhen.device.support.christienew.data.LMessageData;
import com.miaozhen.device.support.christienew.data.LStringElement;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.net.SocketAddress;


public class LoginTMSNew extends BaseChristieSeries2SocketCmdTMSNew {
	private String username;
	private String password;
	private boolean success = false;
	static short obj=1002;
	public LoginTMSNew(Socket socket, String username, String password)
			throws IOException {
		super(socket, (short) obj);
		this.username = username;
		this.password = password;
	}
	protected byte[] createCmdData() {
		LMessageData messageData = new LMessageData();
		messageData.addElement(new LStringElement(0, this.username));
		messageData.addElement(new LStringElement(1, this.password));
		byte[] fintemp=messageData.getElementsData();
		return fintemp;
	}
	protected String getResult(byte[] data) {
		this.success = true;
		return null;
	}

	protected String getErrorMsg(int errorCode) {
		this.success = false;
		return null;
	}

	public boolean isSuccess() {
		return this.success;
	}

	public static void main(String[] args) {
		SocketAddress socketAddress = new InetSocketAddress("218.241.227.150",
				5001);
		Socket socket = new Socket();
		try {
			socket.connect(socketAddress, 10000);
			socket.setSoTimeout(10000);

			LoginTMSNew login = new LoginTMSNew(socket, "service", "service");
			login.execute();
			login.getResponse();
			System.out.println(login.isSuccess());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}