package com.miaozhen.device.support.christienew.data;

import org.crifst.smi.christie.basecmd.Util;

public class LINT8Element extends LElement{

	private static byte type=(byte)2;
	public LINT8Element(int key, int data) {
		    super(key, 1,type, intto(data));
		   }

	public LINT8Element(byte[] key, byte[] length, byte[] data) {
	    super(key, length,type, data);
	 }

	public int getValue() {
		return Util.littleEndianToInt(getData());
	}

	public static byte[] intto(int data){
		byte [] rs=new byte[1];
		byte b=(byte)data;
		rs[0]=b;
		return rs;
	}

}
