package com.miaozhen.device.support.christienew.data;

import org.crifst.smi.christie.basecmd.Util;

public class LIntegerElement extends LElement {
	private static byte type=(byte)6;
	public LIntegerElement(int key, int data) {
		    super(key, 4,type, Util.intToLittleEndian(data));
		   }

	public LIntegerElement(byte[] key, byte[] length, byte[] data) {
	    super(key, length,type, data);
	 }

	public int getValue() {
		return Util.littleEndianToInt(getData());
	}
}
