package com.miaozhen.device.support.christienew.data;

import org.crifst.smi.christie.basecmd.Util;

public class LLongElement extends LElement {

	private static byte type=(byte)7;
	public LLongElement(int key, long data) {
	    super(key, 8,type, Util.longToLittleEndian(data));
	 }

	public LLongElement(byte[] key, byte[] length, byte[] data) {
		    super(key, length,type, data);
		  }

	public long getValue() {
		return Util.littleEndianToLong(getData());
	}
}
