package com.miaozhen.device.support.christienew.data;

import java.nio.charset.Charset;

public class LUTF8StringElement extends LElement{

	private static byte type=(byte)13;
	private static Charset LCHARSET = Charset.forName("utf-8");
	public LUTF8StringElement(int key,String data) {
		/*super(key, data.getBytes(ChristieSeries2Protocol.CHARSET).length,type,
				data.getBytes(ChristieSeries2Protocol.CHARSET));*/
		super(key, data.getBytes(LCHARSET).length,type,
				data.getBytes(LCHARSET));
	}

	public LUTF8StringElement(byte[] key, byte[] length,byte type, String data) {
		super(key, length,type, data.getBytes());
	}

	public LUTF8StringElement(LElement element) {
		super(element.getKey(), element.getLength(),element.getType(), element.getData());
	}

	public String getValue() {
		return new String(getData(), LCHARSET);
	}


}
