package com.miaozhen.device.support.christienew.data.xmljaxb;

import java.util.Date;

import javax.xml.bind.annotation.*;

import com.christie.dcinema.xml.statusitem.StatusType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "id", "name", "value", "type", "alarmstate", "category", "timestamp" })
@XmlRootElement(name = "statusitem")
public class StatusItem {
	protected int id;
	@XmlElement(required = true)
	protected String name;
	@XmlElement(required = true)
	protected String value;
	@XmlElement(required = true)
	protected StatusType type;
	protected int alarmstate;
	protected String category;
	protected Date timestamp;

	public StatusItem() {
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public int getId() {
		return this.id;
	}

	public void setId(int value) {
		this.id = value;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String value) {
		this.name = value;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public StatusType getType() {
		return this.type;
	}

	public void setType(StatusType value) {
		this.type = value;
	}

	public int getAlarmstate() {
		return this.alarmstate;
	}

	public void setAlarmstate(int value) {
		this.alarmstate = value;
	}
}
