package com.miaozhen.device.support.christienew.data.xmljaxb;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(XmlAccessType.FIELD)  
@XmlRootElement(name = "statusitems") 
public class StatusItems<T> {

	@XmlAnyElement(lax = true)     
    private List<T> items;
	
	public StatusItems() {    
        items = new ArrayList<T>();    
   }     
   
   public List<T> getItems() {    
       return items;     
   }    
       
   public void setItems(List<T> items) {    
       this.items = items;     
   } 
}
