package com.miaozhen.device.support.christienew.playbackcontrol;

import java.io.IOException;
import java.net.Socket;

public class NextTMSNew extends SkipTMSNew {
	public NextTMSNew(Socket socket, String host, int tcpPort) throws IOException {
		super(socket, host, tcpPort);
	}

	public NextTMSNew(Socket socket) throws IOException {
		super(socket);
	}

	protected long setPosition(int index, int max, long previousDuration,
			long nextDuration) throws IOException {
		if (index == max) {
			throw new IOException();
		}
		return (nextDuration + 100L);
	}

}
