package com.miaozhen.device.support.christienew.test;

import com.miaozhen.device.support.christienew.basecmd.BaseChristieSeries2SocketCmdTMSNew;
import com.miaozhen.device.support.christienew.data.LElement;
import com.miaozhen.device.support.christienew.data.LMessageData;
import com.miaozhen.device.support.christienew.data.LStringElement;

import java.io.IOException;
import java.net.Socket;

public class ParaTest extends BaseChristieSeries2SocketCmdTMSNew {

	private String value;
	public ParaTest(Socket socket, short ObjectID, String value) throws IOException {
		super(socket, ObjectID);
		this.value=value;
	}

	@Override
	protected byte[] createCmdData() {
		LMessageData messageData = new LMessageData();
		//messageData.addElement(new LINT32Element(0, 16));
		messageData.addElement(new LStringElement(0, "Media Block Scope"));
		return messageData.getElementsData();
	}

	@Override
	protected String getResult(byte[] data) {
		LMessageData messageData = new LMessageData(data);
		LElement el=messageData.getElementByKey(0);
		if(el==null){
			el=messageData.getElementByKey(5);
			if(el==null){
				el=messageData.getElementByKey(1);
			}
		}
		LStringElement element = new LStringElement(el);
		String xml = element.getValue();
		return xml;
	}

	@Override
	protected String getErrorMsg(int i) {
		return null;
	}

}
