package com.miaozhen.device.util;

import java.io.File;
public class PathUtil {

    private static final String separator = File.separator;

    public static String getPojectClassesPath() {
        String projectClassPath = PathUtil.class.getClassLoader().getResource("").getPath();
        String os = System.getProperty("os.name").toLowerCase();
        if (os.indexOf("windows") > -1 && (projectClassPath.startsWith("/") || projectClassPath
            .startsWith("\\")))
            projectClassPath = projectClassPath.substring(1, projectClassPath.length());
        return projectClassPath;
    }

    public static void isDirectory(String filePath) {
        File file = new File(filePath);
        if (!file.exists()) {
            file.mkdirs();
        }
    }

    public static boolean isFile(String fileName) {
        File file = new File(fileName);
        if (file.exists()) {
            return true;
        } else {
            return false;
        }
    }
}
