package com.miaozhen.service;


import com.miaozhen.tmssys.dto.Auditorium;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public interface IServerLogServer {

    /**
     * 连接服务器
     * @param number
     * @param auditorium
     */
    public void connect(Integer number, Auditorium auditorium);

    /**
     * 获取厅设备信息
     * @return
     */
    public Map<Integer, Object> getDevices();

}
