package com.miaozhen.task.domain.init;

import com.miaozhen.task.manager.QuartzManager;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * 项目启动初始化
 */
@Component
public class BasicDataInit implements InitializingBean {

    @Autowired
    QuartzManager quartzManager;

    @PostConstruct
    public void ApplicationDataInit() throws Exception {
        // 启动自动化扫描任务
        quartzManager.initJobMap();
        quartzManager.initTask();
    }

    @Override
    public void afterPropertiesSet() throws Exception {
    }
}
