package com.miaozhen.tmssys.dto;

import javax.xml.bind.annotation.*;
import java.io.Serializable;

/**
 * 影厅信息
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "auditNumber", "serverType", "serverIp",
        "serverLoginUser", "serverLoginPassword"})
@XmlRootElement(name = "Auditorium")
public class Auditorium {

    @XmlElement(name = "auditNumber",required = true)
    private Integer auditNumber;//影厅号
    @XmlElement(name = "serverType",required = true)
    private String serverType; //放映服务器类型
    @XmlElement(name = "serverIp",required = true)
    private String serverIp; //放映服务器IP
    @XmlElement(name = "serverLoginUser",required = true)
    private String serverLoginUser; //服务器登录用户名
    @XmlElement(name = "serverLoginPassword",required = true)
    private String serverLoginPassword;//服务器登录密码


    public Integer getAuditNumber() {
        return auditNumber;
    }

    public void setAuditNumber(Integer auditNumber) {
        this.auditNumber = auditNumber;
    }

    public String getServerType() {
        return serverType;
    }

    public void setServerType(String serverType) {
        this.serverType = serverType;
    }

    public String getServerLoginUser() {
        return serverLoginUser;
    }

    public void setServerLoginUser(String serverLoginUser) {
        this.serverLoginUser = serverLoginUser;
    }

    public String getServerLoginPassword() {
        return serverLoginPassword;
    }

    public void setServerLoginPassword(String serverLoginPassword) {
        this.serverLoginPassword = serverLoginPassword;
    }

    public String getServerIp() {
        return serverIp;
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }
}

