package com.miaozhen.util;

/**
 * 版本信息
 */
public class Version {
    // Major version
    public final static int major = 1;

    // Minor version
    public final static int minor = 1;

    // Revision number
    public final static int revision = 4;

    // Release date
    public final static int year = 2022;

    public final static int month = 1;

    public final static int day = 6;

    public final static String version() {
        return String.format("%d.%d.%d", major, minor, revision);
    }

    public final static String versionDate() {
        return String.format("%d-%d-%d", year, month, day);
    }
}
