package com.bobocorn.MiaozhenProbe;

import com.miaozhen.tmssys.dto.ReportLog;
import com.miaozhen.util.FileUtil;
import com.miaozhen.util.JsonMapper;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @Author:FengTao
 * @Created time:2020/10/26 16:10
 */
public class GetReportLog {
    public static void main(String[] args) {
        ConcurrentHashMap<String, ReportLog> reportMapTemp =  getReportLogFromTemp();

    }
    public static ConcurrentHashMap<String, ReportLog> getReportLogFromTemp() {
        ConcurrentHashMap<String, ReportLog> result = new ConcurrentHashMap();
        String path = "C:\\data\\serverlogs" + File.separator + "ReportLog";
        if (!new File(path).exists()) {
            return result;
        }
        ObjectInputStream is = null;
        FileInputStream fis = null;
        try {
            fis = new FileInputStream(path);
            is = new ObjectInputStream(fis);
            result = (ConcurrentHashMap<String, ReportLog>) is.readObject();
            System.out.println(JsonMapper.getInstance().toJson(result));
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (is != null) {
                try {
                    is.close();
                } catch (IOException e1) {
                }
            }
            if (fis != null) {
                try {
                    fis.close();
                } catch (IOException e1) {
                }
            }
        }
        return result;
    }
}
