package com.bobocorn.MiaozhenProbe;

import com.miaozhen.tmssys.dto.Auditorium;
import com.miaozhen.util.JsonMapper;
import net.sf.json.JSON;
import net.sf.json.JSONSerializer;
import net.sf.json.xml.XMLSerializer;


/**
 * @Author fengtao
 * @Description
 * @Date $ $
 * @Param $
 * @return $
 **/

public class JsonTest {
    public static void main(String[] args) throws Exception{
        Auditorium audit = new Auditorium();
        audit.setAuditNumber(1);
        audit.setServerIp("192.168.2.8");
        audit.setServerLoginPassword("pass123");
        audit.setServerLoginUser("username001");
        audit.setServerType("GDC");

        String xml = json2xml(JsonMapper.getInstance().toJson(audit));
        System.out.println(xml);
    }
    /**
     * JSON(数组)字符串转换成XML字符串
     * （必须引入 xom-1.1.jar）
     * @param jsonString
     * @return
     */
    public static String json2xml(String jsonString) {
        XMLSerializer xmlSerializer = new XMLSerializer();
        return xmlSerializer.write(JSONSerializer.toJSON(jsonString));
    }
    /**
     * xml 转 json
     * （必须引入 xom-1.1.jar）
     * @param xmlString xml字符串
     * @return
     */
    public static String xml2json(String xmlString) {
        XMLSerializer xmlSerializer = new XMLSerializer();
        JSON json = xmlSerializer.read(xmlString);
        return json.toString(1);
    }
}
