package com.miaozhen.device.model;

import com.miaozhen.device.common.Printable;

import java.util.Date;

/**
 * @author lzj
 * 
 * 2016年2月29日
 *
 * Schedule.java
 */
public class Schedule extends Printable {

	public static final int UN_REPORT_SCHEDULE =0;
	public static final  int REPORTED_SCHEDULE = 1;
	public static  final int NO_NEED_REPORT_SCHEDULE = 2;

	private Date startTime;

	private Date endTime;
	private Date featureStartTime;
	private String showPlayList;

	private String templateID;

	private String splUUID;

	private Integer splID;

	private String featureCPLUUID;

	private String featureContenttitletext;

	private String featureAttachedtitle;

	private Integer isCue;

	private Integer showDuration;

	private String showTitle;

	private String operator;

	private String scheduleStatus;

	private String filmPlanID;

	private Date validDateTime;

	private Integer auditNumber;

	private String scheduleUUID;

	private State state;

	private Integer adNum;

	private Integer adDuration;

	private Integer ticketNum;

	private String relationCPL;

	private Integer isReport = 0;

	private String featureCPLMacro;

	private boolean isTMSSchedule;

	private boolean isAdSchedule = false;

	private Integer auditId;

	private String errorMessage;

	private Integer auditSplId;//记录创建排期时候使用哪个厅的spl进行的排期

	private Date endpointTime;//字幕开始时间(即场灯开灯时间)

	private String posParam; //售票系统相关参数

	private String updateScheduleParam;//监测自动更新排期相关参数

	private Date scheduleTime;//自动更新排期时间的参照时间

	private String audioParam;//音量等级及执行时间参数

	public boolean isAdSchedule() {
		return isAdSchedule;
	}

	public void setAdSchedule(boolean adSchedule) {
		isAdSchedule = adSchedule;
	}



	private String playOrder;// 保存广告系统下发的唯一码

	private boolean validState;

	private String policyShowPlaylist;

	public Integer getAdNumPolicy() {
		return adNumPolicy;
	}

	public void setAdNumPolicy(Integer adNumPolicy) {
		this.adNumPolicy = adNumPolicy;
	}

	private Date policyStartTime;

	public Integer getAdDuratonPolicy() {
		return adDuratonPolicy;
	}

	public void setAdDuratonPolicy(Integer adDuratonPolicy) {
		this.adDuratonPolicy = adDuratonPolicy;
	}

	private Integer adDuratonPolicy;
	private Integer adNumPolicy;

	public Date getPolicyStartTime() {
		return policyStartTime;
	}

	public void setPolicyStartTime(Date policyStartTime) {
		this.policyStartTime = policyStartTime;
	}



	public String getPolicyShowPlaylist() {
		return policyShowPlaylist;
	}

	public void setPolicyShowPlaylist(String policyShowPlaylist) {
		this.policyShowPlaylist = policyShowPlaylist;
	}



	public Schedule() {
		setState(State.New);
	}

	public enum State {
		New, Modified, Scheduled, Deleted, OutOfDate, Playing, Import, Block;
	}

	public Integer getAuditNumber() {
		return auditNumber;
	}

	public void setAuditNumber(Integer auditNumber) {
		this.auditNumber = auditNumber;
	}

	public String getScheduleUUID() {
		return scheduleUUID;
	}

	public void setScheduleUUID(String scheduleUUID) {
		this.scheduleUUID = scheduleUUID;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Date getFeatureStartTime() {
		return featureStartTime;
	}

	public void setFeatureStartTime(Date featureStartTime) {
		this.featureStartTime = featureStartTime;
	}

	public String getShowPlayList() {
		return showPlayList;
	}

	public void setShowPlayList(String showPlayList) {
		this.showPlayList = showPlayList;
	}

	public String getSplUUID() {
		return splUUID;
	}

	public void setSplUUID(String splUUID) {
		this.splUUID = splUUID;
	}

	public Integer getIsCue() {
		return isCue;
	}

	public void setIsCue(Integer isCue) {
		this.isCue = isCue;
	}

	public Integer getShowDuration() {
		return showDuration;
	}

	public void setShowDuration(Integer showDuration) {
		this.showDuration = showDuration;
	}

	public String getShowTitle() {
		return showTitle;
	}

	public void setShowTitle(String showTitle) {
		this.showTitle = showTitle;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getScheduleStatus() {
		return scheduleStatus;
	}

	public void setScheduleStatus(String scheduleStatus) {
		this.scheduleStatus = scheduleStatus;
	}

	public Date getValidDateTime() {
		return validDateTime;
	}

	public void setValidDateTime(Date validDateTime) {
		this.validDateTime = validDateTime;
	}

	public State getState() {
		return state;
	}

	public void setState(State state) {
		this.state = state;
	}

	public String getFilmPlanID() {
		return filmPlanID;
	}

	public void setFilmPlanID(String filmPlanID) {
		this.filmPlanID = filmPlanID;
	}

	public String getTemplateID() {
		return templateID;
	}

	public void setTemplateID(String templateID) {
		this.templateID = templateID;
	}

	public Integer getAdNum() {
		return adNum;
	}

	public void setAdNum(Integer adNum) {
		this.adNum = adNum;
	}

	public Integer getAdDuration() {
		return adDuration;
	}

	public void setAdDuration(Integer adDuration) {
		this.adDuration = adDuration;
	}

	public Integer getIsReport() {
		return isReport;
	}

	public void setIsReport(Integer isReport) {
		this.isReport = isReport;
	}

	public String getFeatureCPLMacro() {
		return featureCPLMacro;
	}

	public void setFeatureCPLMacro(String featureCPLMacro) {
		this.featureCPLMacro = featureCPLMacro;
	}

	public boolean isTMSSchedule() {
		return isTMSSchedule;
	}

	public void setTMSSchedule(boolean isTMSSchedule) {
		this.isTMSSchedule = isTMSSchedule;
	}

	public Integer getSplID() {
		return splID;
	}

	public void setSplID(Integer splID) {
		this.splID = splID;
	}

	public Integer getTicketNum() {
		return ticketNum;
	}

	public void setTicketNum(Integer ticketNum) {
		this.ticketNum = ticketNum;
	}

	public static void main(String[] args) {
		System.out.println(State.Block.toString());
	}

	public String getFeatureCPLUUID() {
		return featureCPLUUID;
	}

	public void setFeatureCPLUUID(String featureCPLUUID) {
		this.featureCPLUUID = featureCPLUUID;
	}

	public String getFeatureContenttitletext() {
		return featureContenttitletext;
	}

	public void setFeatureContenttitletext(String featureContenttitletext) {
		this.featureContenttitletext = featureContenttitletext;
	}

	public String getFeatureAttachedtitle() {
		return featureAttachedtitle;
	}

	public void setFeatureAttachedtitle(String featureAttachedtitle) {
		this.featureAttachedtitle = featureAttachedtitle;
	}

	public String getRelationCPL() {
		return relationCPL;
	}

	public void setRelationCPL(String relationCPL) {
		this.relationCPL = relationCPL;
	}

	public String getPlayOrder() {
		return playOrder;
	}

	public void setPlayOrder(String playOrder) {
		this.playOrder = playOrder;
	}

	public boolean isValidState() {
		return validState;
	}

	public void setValidState(boolean validState) {
		this.validState = validState;
	}

	public Integer getAuditId() {
		return auditId;
	}

	public void setAuditId(Integer auditId) {
		this.auditId = auditId;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public Integer getAuditSplId() {
		return auditSplId;
	}

	public void setAuditSplId(Integer auditSplId) {
		this.auditSplId = auditSplId;
	}

	public Date getEndpointTime() {
		return endpointTime;
	}

	public void setEndpointTime(Date endpointTime) {
		this.endpointTime = endpointTime;
	}

	public String getPosParam() {
		return posParam;
	}

	public void setPosParam(String posParam) {
		this.posParam = posParam;
	}

	public String getUpdateScheduleParam() {
		return updateScheduleParam;
	}

	public void setUpdateScheduleParam(String updateScheduleParam) {
		this.updateScheduleParam = updateScheduleParam;
	}

	public Date getScheduleTime() {
		return scheduleTime;
	}

	public void setScheduleTime(Date scheduleTime) {
		this.scheduleTime = scheduleTime;
	}

	public String getAudioParam() {
		return audioParam;
	}

	public void setAudioParam(String audioParam) {
		this.audioParam = audioParam;
	}
}
