package com.miaozhen.device.support.christie.basecmd;

import java.io.IOException;
import java.net.Socket;

public abstract class BaseNoParamCmdTMS extends BaseChristieSeries2SocketCmdTMS {
	public BaseNoParamCmdTMS(Socket socket, String host, int tcpPort, byte ObjectID)
			throws IOException {
		super(socket, host, tcpPort, ObjectID);
	}

	public BaseNoParamCmdTMS(Socket socket, byte ObjectID) throws IOException {
		super(socket, ObjectID);
	}

	protected byte[] createCmdData() {
		return new byte[0];
	}
	
	protected String getResult(byte[] data) {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >\n</response>";
	}
}