package com.miaozhen.device.support.christie.basecmd;

import java.io.IOException;
import java.net.Socket;

import org.crifst.smi.christie.basecmd.MessageData;
import org.crifst.smi.christie.basecmd.StringElement;

public abstract class BaseParamUUIDCmdTMS extends BaseChristieSeries2SocketCmdTMS {
	private String UUID;

	public BaseParamUUIDCmdTMS(Socket socket, String host, int tcpPort, byte ObjectID, String UUID)
			throws IOException {
		super(socket, host, tcpPort, ObjectID);
		this.UUID = UUID;
	}

	public BaseParamUUIDCmdTMS(Socket socket, byte ObjectID, String UUID)
			throws IOException {
		super(socket, ObjectID);
		this.UUID = UUID;
	}

	protected byte[] createCmdData() {
		MessageData messageData = new MessageData();
		messageData.addElement(new StringElement(1, this.UUID));
		return messageData.getElementsData();
	}
	
}