package com.miaozhen.device.support.christie.playbackcontrol;

import java.io.IOException;
import java.net.Socket;

public class PreviousTMS extends SkipTMS {

	public PreviousTMS(Socket socket, String host, int tcpPort) throws IOException {
		super(socket ,host, tcpPort);
	}

	public PreviousTMS(Socket socket) throws IOException {
		super(socket);
	}

	protected long setPosition(int index, int max, long previousDuration,
			long nextDuration) throws IOException {
		if (index == 1) {
			throw new IOException();
		}
		return previousDuration;
	}

}
