package com.miaozhen.device.support.christienew.basecmd;

import com.miaozhen.device.support.christienew.data.LMessageData;
import com.miaozhen.device.support.christienew.data.LStringElement;

import java.io.IOException;
import java.net.Socket;


public abstract class BaseParamUUIDCmdTMSNew extends BaseChristieSeries2SocketCmdTMSNew {
	private String UUID;

	public BaseParamUUIDCmdTMSNew(Socket socket, String host, int tcpPort, short ObjectID, String UUID)
			throws IOException {
		super(socket, host, tcpPort, ObjectID);
		this.UUID = UUID;
	}

	public BaseParamUUIDCmdTMSNew(Socket socket, short ObjectID, String UUID)
			throws IOException {
		super(socket, ObjectID);
		this.UUID = UUID;
	}

	protected byte[] createCmdData() {
		LMessageData messageData = new LMessageData();
		messageData.addElement(new LStringElement(0, this.UUID));
		return messageData.getElementsData();
	}
	
}