package com.miaozhen.device.support.christienew.data;

import java.nio.charset.Charset;

public class LStringElement extends LElement {
	private static byte type=(byte)12;
	private static Charset LCHARSET = Charset.forName("US-ASCII");
	public LStringElement(int key,String data) {
		/*super(key, data.getBytes(ChristieSeries2Protocol.CHARSET).length,type,
				data.getBytes(ChristieSeries2Protocol.CHARSET));*/
		super(key, data.getBytes(LCHARSET).length,type,
				data.getBytes(LCHARSET));
	}

	public LStringElement(byte[] key, byte[] length,byte type, String data) {
		super(key, length,type, data.getBytes());
	}

	public LStringElement(LElement element) {
		super(element.getKey(), element.getLength(),element.getType(), element.getData());
	}

	public String getValue() {
		return new String(getData(), LCHARSET);
	}
}
