package com.miaozhen.device.support.christienew.data;

import java.nio.charset.Charset;

public class LXMLElement extends LElement {

	private static byte type=(byte)15;
	private static Charset LCHARSET = Charset.forName("US-ASCII");
	public LXMLElement(int key,String data) {
		super(key, data.getBytes(LCHARSET).length,type,
				data.getBytes(LCHARSET));
	}

	public LXMLElement(byte[] key, byte[] length,byte type, String data) {
		super(key, length,type, data.getBytes());
	}

	public LXMLElement(LElement element) {
		super(element.getKey(), element.getLength(),element.getType(), element.getData());
	}

	public String getValue() {
		return new String(getData(), LCHARSET);
	}


}
