package com.miaozhen.device.support.christienew.playbackcontrol;

import java.io.IOException;
import java.net.Socket;
import java.util.List;

import com.miaozhen.device.support.christienew.GetPlaybackStatusTMSNew;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.christie.dcinema.xml.statusitem.Status;

public class PlaybackControlChrisNew {
    private String error =
        "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"ERROR\" version=\"2\" >\n\t<error>ERROR</error>\n</response>";
    private final Logger logger = LoggerFactory.getLogger(getClass());
    private Socket socket = null;
    //private Socket socket1 = new Socket();
    //private UtilTMSChris util = new UtilTMSChris();
    private GetPlaybackStatusTMSNew cmd = null;

    public void setSocket(Socket socket) {
        this.socket = socket;
    }

    //	 public PlaybackControlChris(Socket socket){
    //	 this.socket = socket;
    //	 }

    public Socket getSocket() {
        return this.socket;
    }

    //yigai
    public String getplaybackstatus(String ip) {
    	Integer[] keys = { Integer.valueOf(751), Integer.valueOf(759), Integer.valueOf(758), Integer.valueOf(753), Integer.valueOf(766),
                Integer.valueOf(762), Integer.valueOf(760) };
        String result = this.error;
        String rs=this.error;
        try {
            //			if (socket == null || socket.isClosed()||!this.socket.isConnected()) {
            //				socket = new Socket();
            //				cmd = new GetPlaybackStatusTMS(socket, ip, 4502);
            //			}
//            logger.info("socket is:{}",socket);
            if (socket != null && socket.isConnected()) {
                //if (cmd == null)
                synchronized(GetPlaybackStatusTMSNew.statuslist){
                	for(Integer key : keys){
                		Integer[] k=new Integer[1];
                		k[0]=key;
                		cmd = new GetPlaybackStatusTMSNew(socket, ip, 5001,k);
                        cmd.execute();
                	}
                    result = cmd.getResponse(); 
                	if(result.equals("success")){
                     	List<Status> statuslist=GetPlaybackStatusTMSNew.statuslist;
                     	rs=cmd.getResult(statuslist);
                     }
                     GetPlaybackStatusTMSNew.statuslist.clear();
                }
               
                cmd = null;
            }
        } catch (Exception e) {
            logger.error("IOException {} class {}", e.getMessage(), e.getClass().getName());
            e.printStackTrace();
        }
        return rs;
    }

    //yigai
    public String stopspl(String ip) {
        String result = this.error;
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                StopTMSNew cmd = new StopTMSNew(socket);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String playspl(String ip) {
        String result = this.error;
        String rs=this.error;
        Integer[] keys = { Integer.valueOf(751), Integer.valueOf(759), Integer.valueOf(758), Integer.valueOf(753), Integer.valueOf(766),
                Integer.valueOf(762), Integer.valueOf(760) };
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
               /* GetPlaybackStatusTMSNew cmdStatus = new GetPlaybackStatusTMSNew(socket);
                cmdStatus.execute();*/
            	GetPlaybackStatusTMSNew cmdStatus=null;
                
                synchronized(GetPlaybackStatusTMSNew.statuslist){
                	for(Integer key : keys){
                		Integer[] k=new Integer[1];
                		k[0]=key;
                		 cmdStatus  = new GetPlaybackStatusTMSNew(socket, ip, 5001,k);
                		cmdStatus.execute();
                	}
                    rs = cmdStatus.getResponse(); 
                	if(rs.equals("success")){
                     	List<Status> statuslist=GetPlaybackStatusTMSNew.statuslist;
                     	rs=cmdStatus.getResult(statuslist);
                     }
                     GetPlaybackStatusTMSNew.statuslist.clear();
                     if (GetPlaybackStatusTMSNew.pause) {
                         PauseOrResumeTMSNew cmd = new PauseOrResumeTMSNew(socket);
                         cmd.execute();
                         result = cmd.getResponse();
                     } else {
                         PlayTMSNew cmd = new PlayTMSNew(socket, 0L);
                         cmd.execute();
                         result = cmd.getResponse();
                     }
                     GetPlaybackStatusTMSNew.pause=false;
                }
            }
        } catch (IOException e) {
            logger.error("IOException {} class {}", e.getMessage(), e.getClass().getName());
            e.printStackTrace();
        }
        // finally {
        // util.closeSocket(socket);
        // }
        return result;
    }

    //	public Socket getSocket1() {
    //		return socket1;
    //	}
    //
    //	public void setSocket1(Socket socket1) {
    //		this.socket1 = socket1;
    //	}

    //yigai
    public String pausespl(String ip) {
        String result = this.error;
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                PauseOrResumeTMSNew cmd = new PauseOrResumeTMSNew(socket);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String selectspl(String ip, String UUID) {
        String result = this.error;
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                LoadContentTMSNew cmd = new LoadContentTMSNew(socket, UUID);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String gotoposition(String ip, int intDuration) {
        String result = this.error;
        String rs=this.error;
        Integer[] keys = { Integer.valueOf(751), Integer.valueOf(759), Integer.valueOf(758), Integer.valueOf(753), Integer.valueOf(766),
                Integer.valueOf(762), Integer.valueOf(760) };
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                /*GetPlaybackStatusTMSNew cmdStatus = new GetPlaybackStatusTMSNew(socket);
                cmdStatus.execute();*/
            	GetPlaybackStatusTMSNew cmdStatus=null;
            	long playPosition=0L;
                synchronized(GetPlaybackStatusTMSNew.statuslist){
                	for(Integer key : keys){
                		Integer[] k=new Integer[1];
                		k[0]=key;
                		cmdStatus  = new GetPlaybackStatusTMSNew(socket, ip, 5001,k);
                		cmdStatus.execute();
                	}
                    rs = cmdStatus.getResponse();
                	if(rs.equals("success")){
                    	List<Status> statuslist=GetPlaybackStatusTMSNew.statuslist;
                    	rs=cmdStatus.getResult(statuslist);
                    }
                    GetPlaybackStatusTMSNew.statuslist.clear();
                    playPosition=GetPlaybackStatusTMSNew.playPosition;
                    
                }
                //long playPosition = cmdStatus.getPlayPosition();

                /*StopNew cmdStop = new StopNew(socket);
                cmdStop.execute();*/
                /*StopTMSNew cmdStop = new StopTMSNew(socket);
                cmdStop.execute();
                cmdStop = null;*/

                PlayTMSNew cmd = new PlayTMSNew(socket, playPosition + intDuration * 1000);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
                cmdStatus=null;
               // cmdStatus = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String next(String ip) {
        String result = this.error;
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                NextTMSNew cmd = new NextTMSNew(socket);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String previous(String ip) {
        String result = this.error;
        // Socket socket = null;
        try {
            // socket = new Socket();
            //if (util.login(socket1, ip, 4502)) {
            if (socket != null && socket.isConnected()) {
                PreviousTMSNew cmd = new PreviousTMSNew(socket);
                cmd.execute();
                result = cmd.getResponse();
                cmd = null;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // finally {
        // Util.closeSocket();
        // }
        return result;
    }

    //yigai
    public String automationTrigger(String cueLabel) {
        String result = this.error;
        try {
            if (socket != null && socket.isConnected()) {
            	AutomationTriggerTMSNew  cmd1 = new AutomationTriggerTMSNew(socket, cueLabel);
                cmd1.execute();
                result = cmd1.getResponse();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return result;
    }

    public String ejectSPL() {
        String result = this.error;
        try {
            if (socket != null && socket.isConnected()) {
                EjectTMSNew cmd = new EjectTMSNew(socket);
                cmd.execute();
                result = cmd.getResponse();
            }
        } catch (IOException e) {
            logger.error("IOException error", e);
        }
        return result;
    }

}
