package com.miaozhen.tmssys.dto;


import javax.xml.bind.annotation.*;
import java.io.Serializable;
import java.util.List;

/**
 * 影院信息
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "auditList", "code", "ftp"})
@XmlRootElement(name = "cinemaInfo")
public class CinemaInfo {

    @XmlElement(name = "auditList",required = true)
    private List<Auditorium> auditList;
    @XmlElement(name = "code",required = true)
    private String code;
    @XmlElement(name = "ftp",required = true)
    private Ftp ftp;

    public List<Auditorium> getAuditList() {
        return auditList;
    }

    public void setAuditList(List<Auditorium> auditList) {
        this.auditList = auditList;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Ftp getFtp() {
        return ftp;
    }

    public void setFtp(Ftp ftp) {
        this.ftp = ftp;
    }

}
