package com.bobocorn.MiaozhenProbe;/**
 * Created by fengtao on 2019/10/17.
 */

/**
 * @Author fengtao
 * @Description
 * @Date $ $
 * @Param $
 * @return $
 **/

import com.miaozhen.tmssys.dto.Auditorium;
import com.miaozhen.util.JsonMapper;
import net.sf.json.JSON;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import net.sf.json.JSONSerializer;
import net.sf.json.xml.XMLSerializer;

import org.jdom.Document;

import java.util.ArrayList;
import java.util.List;

public class XmlExercise {

    /**
     * 将xml字符串<STRONG>转换</STRONG>为JSON字符串
     *
     * @param xmlString
     *            xml字符串
     * @return JSON<STRONG>对象</STRONG>
     */
    public static String xml2json(String xmlString) {
        XMLSerializer xmlSerializer = new XMLSerializer();
        JSON json = xmlSerializer.read(xmlString);
        return json.toString(1);
    }

    /**
     * 将xmlDocument<STRONG>转换</STRONG>为JSON<STRONG>对象</STRONG>
     *
     * @param xmlDocument
     *            XML Document
     * @return JSON<STRONG>对象</STRONG>
     */
    public static String xml2json(Document xmlDocument) {
        return xml2json(xmlDocument.toString());
    }

    /**
     * JSON(数组)字符串<STRONG>转换</STRONG>成XML字符串
     *
     * @param jsonString
     * @return
     */
    public static String json2xml(String jsonString) {
        XMLSerializer xmlSerializer = new XMLSerializer();
        return xmlSerializer.write(JSONSerializer.toJSON(jsonString));
    }

    public static void main(String[] args) {
//        JSONObject jsonObject = new JSONObject();
//        jsonObject.put("username", "horizon");
//        JSONArray jsonArray = new JSONArray();
//        JSONObject dataJson = new JSONObject();
//        jsonArray.add(jsonObject);
//        dataJson.put("data", jsonArray);
//        System.out.println(dataJson.toString());
//
//        String xml = json2xml(dataJson.toString());
//        System.out.println("xml:" + xml);
//        String str = xml2json(xml);
//        System.out.println("to_json" + str);
        Auditorium audit1 = new Auditorium();
        audit1.setAuditNumber(1);
        audit1.setServerIp("192.168.2.8");
        audit1.setServerLoginPassword("pass123");
        audit1.setServerLoginUser("username001");
        audit1.setServerType("GDC");
        Auditorium audit2 = new Auditorium();
        audit2.setAuditNumber(2);
        audit2.setServerIp("192.168.2.112");
        audit2.setServerLoginPassword("pass555");
        audit2.setServerLoginUser("username002");
        audit2.setServerType("Sony");
        audit2.setAuditNumber(3);
        audit2.setServerIp("192.168.2.99");
        audit2.setServerLoginPassword("pass33");
        audit2.setServerLoginUser("username003");
        audit2.setServerType("Sony");
        List<Auditorium> list = new ArrayList<Auditorium>();
        list.add(audit1);
        list.add(audit2);
        String json = JsonMapper.getInstance().toJson(list);
        System.out.println("json==>"+json);
        String xml = json2xml(json);
        System.out.println(xml);

        String jsonStr = xml2json(xml);
        System.out.println(jsonStr);



    }
}
